Subject: Re: sky2 1.3-rc1

From: Daniel Drake <[email-masked]>
Date: Fri, 05 May 2006 15:34:19 +0100

Stephen Hemminger wrote:
> Here is a new version that addresses some of the outstanding bugs.
> * There was a race in receive processing that would cause hang
> * Some more support for Yukon Ultra found in dual-core Centrino
>   laptops (I want one of these).
> 
> It does not fix the problems with dual port cards corrupting receive
> data (and possibly memory).
> 
> 	http://developer.osdl.org/shemminger/prototypes/sky2-1.3-rc1.tar.bz2
> 
> If this works for most people, I'll post as separate patches for 2.6.17
> tomorrow.
> 

Barry Shilliday at http://bugs.gentoo.org/132056 reports that 1.3-rc1 
solves his earlier problems introduced in v1.1 are solved. However, it's 
not perfect, as latencies are much higher than they used to be.

v0.15:
64 bytes from 10.0.0.138: icmp_seq=2 ttl=64 time=0.467 ms

v1.3-rc1:
64 bytes from 10.0.0.138: icmp_seq=4 ttl=64 time=32.9 ms

Daniel